ArrayIterator::natsort
ArrayIterator::offsetExists
ArrayIterator
PHP Manual

# ArrayIterator::next

(PHP 5 >= 5.0.0)

ArrayIterator::next — Move to next entry

### Description

void ArrayIterator::next ( void )

The iterator to the next entry.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 ArrayIterator::next() example

`<?php
$arrayobject = new ArrayObject();
$arrayobject[] = 'zero';
$arrayobject[] = 'one';
$iterator = $arrayobject->getIterator();
while($iterator->valid()) {
echo $iterator->key() . ' => ' . $iterator->current() . "\n";
$iterator->next();
}
?>`

The above example will output:

    0 => zero
    1 => one

ArrayIterator::natsort
ArrayIterator::offsetExists
ArrayIterator
PHP Manual